Bug 437419 - Review Request: edrip-fonts - Edrip decorative fonts
Review Request: edrip-fonts - Edrip decorative fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481472
  Show dependency treegraph
 
Reported: 2008-03-13 18:51 EDT by Nicolas Mailhot
Modified: 2009-01-25 07:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 20:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-03-13 18:51:48 EDT
Spec URL: http://nim.fedorapeople.org/edrip-fonts.spec
SRPM URL: http://nim.fedorapeople.org/edrip-fonts-20080310-1.fc9.src.rpm

Description: 
Edrip is a contrast sans-serif font. It is based on the Teams font
released on 2000 by TopTeam Co. Edrip contains symbols for basic Cyrillic and
Latin alphabets.
Comment 1 Kevin Fenzi 2008-03-15 13:41:36 EDT
Can you get Spot/Fedora legal to check over the license here? 
The note in the spec file makes my head spin. ;) 

Also, note that this package needs xgridfit, which is not yet available in
rawhide due to the beta freeze. 
Comment 2 Nicolas Mailhot 2008-03-15 13:57:13 EDT
(In reply to comment #1)
> Can you get Spot/Fedora legal to check over the license here? 
> The note in the spec file makes my head spin. ;) 

I'm blocking FE-LEGAL now. It made my head spin too, I hoped the note would be
clear enough

> Also, note that this package needs xgridfit, which is not yet available in
> rawhide due to the beta freeze.

You can test build in mock if you configure the koji repositories directly

Comment 3 Tom "spot" Callaway 2008-03-23 10:38:27 EDT
I'm ok with this, even if it does make my head hurt, the logic seems solid.
Lifting FE-Legal.
Comment 4 Kevin Fenzi 2008-03-25 20:08:55 EDT
ok. Happy to review this package now. 

Look for a full review in a bit.
Comment 5 Kevin Fenzi 2008-03-25 20:19:36 EDT
OK - Meets Packaging Guidelines.
OK - License (OFL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
066f36f19f8a5c817028ad5e99210478  edrip-src-20080310.tar.bz2
066f36f19f8a5c817028ad5e99210478  edrip-src-20080310.tar.bz2.sav
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
See below - Should package latest version

Issues:

1. 20080318 is out, perhaps update to that before importing?

2. The
Source0:   %{URL}/%{archivename}.tar.bz2
doesn't seem to work with spectool.
Why not just replace %{URL} with the URL. Do you expect it to keep changing?
Why not replace %{archivename} with the more standard %{name}-src-%{release} ?

It would be good for spectool -g to work with your Source0 line in any case.

Neither of those is a big deal, if you could look at them before importing,
that would be great.

This package is APPROVED.
Comment 6 Nicolas Mailhot 2008-03-26 05:12:42 EDT
Ok, will look at it at import time

New Package CVS Request
=======================
Package Name: edrip-fonts
Short Description: Edrip decorative fonts
Owners: nim
Branches: devel
InitialCC: fonts-sig
Cvsextras Commits: Yes
Comment 7 Kevin Fenzi 2008-03-26 12:02:09 EDT
cvs done.

Any chance for F7 and F8? 
(or do we need to update fontforge back there first?)
Comment 8 Nicolas Mailhot 2008-03-26 20:21:18 EDT
> 1. 20080318 is out, perhaps update to that before importing?

done

> 2. The
> Source0:   %{URL}/%{archivename}.tar.bz2
> doesn't seem to work with spectool.

This is a spectool problem. Open a spectool bug if you care (I don't)

> Why not just replace %{URL} with the URL. Do you expect it to keep changing?

I suck at keeping URLs in sync. The less I have to manage the better I feel (I
still remember the 13-package gfs rebuild for upstream move with dread)

> Why not replace %{archivename} with the more standard %{name}-src-%{release} ?

Standard is in the eye of the beholder. I maintain and saw many packages that
used %{archivename}

Anyway package is now imported, thanks for the review

Note You need to log in before you can comment on or make changes to this bug.